Subject: Re: [Chicken-users] Minor problem with cmake-based chicken build on cygwin
From: "felix winkelmann" <[email-masked]>
To: "Nathan Thern" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 2 Jun 2008 22:36:11 +0200
List-Id: <cygwin.cygwin.com>

On Sat, May 31, 2008 at 8:00 PM, Nathan Thern <[email-masked]> wrote:
> Hi all-
> I just built chicken-3.2.0 on cygwin. The build went just fine, but the
> install put the runtime dlls (cygchicken-0.dll and cyguchicken-0.dll) in
> /usr/lib rather than /usr/bin. The installation did not work until I moved
> the dlls to /usr/bin.
>
> A quick inspection of the makefiles revealed that DLLSINPATH is not set
> in Makefile.cygwin (whereas it is in the mingw & msvc makefiles).
>
> The obvious fix is to define DLLSINPATH in the make arguments, but since the
> build is broken unless that is done, it looks like a bug to me. Perhaps this
> is a cmake bug, or a bug in the chicken source?

Hi!

I guess this is a bug in our build - thanks for reporting it. BTW, we don't use
CMake anymore, so this has nothing to do with CMake itself, cygwin or the
now historical cmake-based chicken build.

cheers,
felix

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/